Module | Compass::SassExtensions::Sprites::LayoutMethods
In: | lib/compass/sass_extensions/sprites/layout_methods.rb

### Methods

calculate_diagonal_dimensions calculate_diagonal_positions calculate_horizontal_positions calculate_repeat_extra_width! calculate_smart_positions calulate_vertical_postions compute_image_positions! diagonal? height_for_horizontal_layout height_for_vertical_layout horizontal? layout smart? tile_images_that_repeat vertical? width_for_horizontal_layout width_for_vertical_layout

### Constants

HORIZONTAL | = | 'horizontal'
DIAGONAL | = | 'diagonal'
SMART | = | 'smart'
VERTICAL | = | 'vertical'

### Public Instance methods

calculate_diagonal_dimensions()
calculate_diagonal_positions()
calculate_horizontal_positions()
calculate_repeat_extra_width!()
calculate_smart_positions()
calulate_vertical_postions()
compute_image_positions!()

Calculates the overal image dimensions collects image sizes and input parameters for each sprite

diagonal?()
height_for_horizontal_layout()
height_for_vertical_layout()
horizontal?()
layout()
smart?()
tile_images_that_repeat()
vertical?()
width_for_horizontal_layout()
width_for_vertical_layout()

[Validate]